<bugID>1354536<Summary>Add a 'Recent Activity' list to the Library panel</Summary><Description>This is a newly created list that features one of the following two options (TBD):

1. A list of recently bookmarked items, mixed with recently downloaded items, sorted by date. Clicking these items will activate the appropriate command as if they were in the 'Recent Bookmarks' menu or 'Downloads' lists.

2. A list obtained from Activity Stream, as-is.

It is, of course, possible to first implement 1) and go for 2) when and after the Activity Stream project is fully integrated into Fx.</Description></bugID>